| WideStudio Programming Guide | WideStudio Index Table of contents

> ## How to get the parent instance

> You can get the parent instance with the method: WSCbase::getParent().
> In the following sample, it acquires the parent instance which places the instance "object", and set False to the visibility of the parent.

>     def event_procedure(object):
>       # get the parent instance.
>       parent = object.getParent();
>       # access the parent instance.
>       parent.setVisible(mpfc.False);
>       return
>     mpfc.WSGFfunctionRegister("event_procedure",event_procedure)

> ### How to get the parent top level window

> You can get the parent window instance with the method: WSCbase::getParentWindow().
> In the following sample, it acquires the parent window instance, and pops down the window. Sometimes this scene is found when closing window by a button instance.

>     def event_procedure(object):
>       # get the parent window.
>       win = object.getParentWindow();
>       # pop-down the window.
>       win.setVisible(mpfc.False);
>       return
>     mpfc.WSGFfunctionRegister("event_procedure",event_procedure)

Document Release 3.70 for WideStudio ver 3.70, Feb 2004

WideStudio documents index | Table of contents

Copyright(C) T. Hirabayashi, 2000-2004 | Last modified: Feb 25, 2004